### Struct

# Json ObjectIter

since: 1.2

#### Description [src]

    struct JsonObjectIter {
      /* No available fields */
    }

An iterator object used to iterate over the members of a JSON object.

`JsonObjectIter` must be allocated on the stack and initialised using `json_object_iter_init()` or `json_object_iter_init_ordered()`.

The iterator is invalidated if the object is modified during iteration.

All the fields in the `JsonObjectIter` structure are private and should never be accessed directly.

Available since: 1.2

#### Instance methods

###### json_object_iter_init

Initialises the `iter` and associate it with `object`.

since: 1.2

###### json_object_iter_init_ordered

Initialises the `iter` and associate it with `object`.

since: 1.6

###### json_object_iter_next

Advances the iterator and retrieves the next member in the object.

since: 1.2

###### json_object_iter_next_ordered

Advances the iterator and retrieves the next member in the object.

since: 1.6